Package org.eclipse.net4j.util

# Interface ConsumerWithException<T,E extends Exception>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ConsumerWithException<T,E extends Exception>
An interface with an `accept(Object)` method that can propagate checked exceptions.

Since:
  3.12
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(T t)`
`static <T, E extends Exception>
Consumer<T>`
`consumer(ConsumerWithException<T,E> consumerWithException)`
`static <T, E extends Exception>
Consumer<T>`
`consumer(ConsumerWithException<T,E> consumerWithException, Class<E> exceptionClass, Consumer<E> exceptionHandler)`

## Method Details

### accept

void accept(T t) throws E

Throws:
  `E extends Exception`

### consumer

static <T, E extends Exception> Consumer<T> consumer(ConsumerWithException<T,E> consumerWithException, Class<E> exceptionClass, Consumer<E> exceptionHandler)

### consumer

static <T, E extends Exception> Consumer<T> consumer(ConsumerWithException<T,E> consumerWithException)